Auth
Signed Login URL
Create a temporary signed URL which logins the user into the messenger without having to provide any username or password. Useful for embedding the builtin messenger into iframes. URL is valid for three minutes.
GET
/
auth
/
signed-login-url
Create a temporary signed URL which logins the user into the messenger without having to provide
any username or password. Useful for embedding the builtin messenger into iframes.
URL is valid for three minutes.
curl --request GET \
--url https://1-some-client.some-server.healvi-chat/third-party/v1/auth/signed-login-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://1-some-client.some-server.healvi-chat/third-party/v1/auth/signed-login-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://1-some-client.some-server.healvi-chat/third-party/v1/auth/signed-login-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "<string>"
}
}⌘I
Create a temporary signed URL which logins the user into the messenger without having to provide
any username or password. Useful for embedding the builtin messenger into iframes.
URL is valid for three minutes.
